path: /build/build/jpeg-compat-virtual-62-62.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} virtual/jpeg-compat:62 -pv -t && \
    emerge -j ${JOBS} --nodeps virtual/jpeg-compat:62
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/jpeg-compat && luet-portage --dir /pkgdir/jpeg-compat
    virtual/jpeg-compat:62 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:eb2b5c63e7c56d00e7abab4fbcf1c5547417ee1dd377383b706a9c030b2e72e5
  package:
    name: jpeg-compat
    version: "62"
    category: virtual-62
    requires:
    - name: lpsolve
      version: '>=0'
      category: sci-mathematics
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A virtual for the libjpeg.so.62 ABI for binary-only programs
    uri:
    - ""
    buildtimestamp: 2023-10-10 05:53:46.635449863 +0000 UTC m=+87.423093701
    labels:
      IUSE: abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32
        abi_s390_32 abi_s390_64
      RDEPEND: '|| ( >=media-libs/libjpeg-turbo-1.3.0-r3:0[-mgorny(-)] >=media-libs/jpeg-6b-r12:62[-mgorny(-)]
        )'
      emerge.packages: virtual/jpeg-compat:62
      kit: media-kit
      original.package.name: virtual/jpeg-compat
      original.package.slot: "62"
      original.package.version: "62"
    treedir: /build/packages
  package_dir: /pkgdir/jpeg-compat
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: e3c33935c07d79ba3053177a1dd117246cdfdb8b0979c204d7c7ab31e3fce348
compressiontype: zstd
files:
- var/db/pkg/virtual/jpeg-compat-62/BUILD_TIME
- var/db/pkg/virtual/jpeg-compat-62/CATEGORY
- var/db/pkg/virtual/jpeg-compat-62/CBUILD
- var/db/pkg/virtual/jpeg-compat-62/CFLAGS
- var/db/pkg/virtual/jpeg-compat-62/CHOST
- var/db/pkg/virtual/jpeg-compat-62/COUNTER
- var/db/pkg/virtual/jpeg-compat-62/CXXFLAGS
- var/db/pkg/virtual/jpeg-compat-62/DEFINED_PHASES
- var/db/pkg/virtual/jpeg-compat-62/DESCRIPTION
- var/db/pkg/virtual/jpeg-compat-62/EAPI
- var/db/pkg/virtual/jpeg-compat-62/FEATURES
- var/db/pkg/virtual/jpeg-compat-62/INHERITED
- var/db/pkg/virtual/jpeg-compat-62/IUSE
- var/db/pkg/virtual/jpeg-compat-62/IUSE_EFFECTIVE
- var/db/pkg/virtual/jpeg-compat-62/KEYWORDS
- var/db/pkg/virtual/jpeg-compat-62/LDFLAGS
- var/db/pkg/virtual/jpeg-compat-62/LICENSE
- var/db/pkg/virtual/jpeg-compat-62/PF
- var/db/pkg/virtual/jpeg-compat-62/RDEPEND
- var/db/pkg/virtual/jpeg-compat-62/SIZE
- var/db/pkg/virtual/jpeg-compat-62/SLOT
- var/db/pkg/virtual/jpeg-compat-62/USE
- var/db/pkg/virtual/jpeg-compat-62/environment.bz2
- var/db/pkg/virtual/jpeg-compat-62/jpeg-compat-62.ebuild
- var/db/pkg/virtual/jpeg-compat-62/repository
package_cacheimage: ""
runtime:
  name: jpeg-compat
  version: "62"
  category: virtual-62
  requires:
  - name: libjpeg-turbo
    version: '>=0'
    category: media-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A virtual for the libjpeg.so.62 ABI for binary-only programs
  uri:
  - ""
  labels:
    IUSE: abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32
      abi_s390_32 abi_s390_64
    RDEPEND: '|| ( >=media-libs/libjpeg-turbo-1.3.0-r3:0[-mgorny(-)] >=media-libs/jpeg-6b-r12:62[-mgorny(-)]
      )'
    emerge.packages: virtual/jpeg-compat:62
    kit: media-kit
    original.package.name: virtual/jpeg-compat
    original.package.slot: "62"
    original.package.version: "62"
